summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 20:01:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:29 +0200
commit93684ef8a485c886b86870bdb2c9711bf71e7972 (patch)
tree79228cd871f8205359c239662cb8f8a6826ac545 /network
parentcffa4b94d8d7520af481e371310c5c5b9edd683c (diff)
downloadslackbuilds-93684ef8a485c886b86870bdb2c9711bf71e7972.tar.gz
slackbuilds-93684ef8a485c886b86870bdb2c9711bf71e7972.tar.xz
network/bip: Added to 12.0 repository
Diffstat (limited to 'network')
-rw-r--r--network/bip/README7
-rw-r--r--network/bip/bip.SlackBuild74
-rw-r--r--network/bip/bip.info8
-rw-r--r--network/bip/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/network/bip/README b/network/bip/README
new file mode 100644
index 0000000000..a631fedcf7
--- /dev/null
+++ b/network/bip/README
@@ -0,0 +1,7 @@
+Bip is an irc proxy with SSL support, which means it keeps connected
+to your preferred IRC servers, can store the logs for you, and even
+send them back to your IRC client(s) upon connection. You may want to
+use bip to keep your logfiles (in a unique format and on a unique
+computer) whatever your client is, when you connect from multiple
+workstations, or when you simply want to have a playback of what was
+said when you were away.
diff --git a/network/bip/bip.SlackBuild b/network/bip/bip.SlackBuild
new file mode 100644
index 0000000000..9a41bd5c4d
--- /dev/null
+++ b/network/bip/bip.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for Bip
+
+# Written by Chess Griffin <chess@chessgriffin.com>
+
+# Exit on most errors
+set -e
+
+PRGNAM=bip # replace with name of program
+VERSION=0.7.0 # replace with version of program
+ARCH=${ARCH:-i486} # this should not change
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo} # the "_SBo" is required
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+DOCS="AUTHORS BUGS COPYING ChangeLog README TODO scripts/bip-release scripts/bipgenconfig"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+cp -a *.1 $PKG/usr/man/man1
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/bip/bip.info b/network/bip/bip.info
new file mode 100644
index 0000000000..17e5429622
--- /dev/null
+++ b/network/bip/bip.info
@@ -0,0 +1,8 @@
+PRGNAM="bip"
+VERSION="0.7.0"
+HOMEPAGE="http://bip.t1r.net"
+DOWNLOAD="http://bip.t1r.net/downloads/bip-0.7.0.tar.gz"
+MD5SUM="4320110d691eca938aa39b34ae65d027"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/bip/slack-desc b/network/bip/slack-desc
new file mode 100644
index 0000000000..4047e9ae60
--- /dev/null
+++ b/network/bip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bip: Bip (irc proxy server with SSL support)
+bip:
+bip: Bip can keep you connected to your preferred IRC servers, can
+bip: store logs for you, and even send them back to your IRC client(s)
+bip: upon connection.
+bip:
+bip: Homepage: http://bip.t1r.net
+bip:
+bip:
+bip:
+bip: